<template>
  <div v-if="selectedThemeName === 'modern'">
    <InformationBMM1 v-if="isMobile" />
    <InformationBMD1 v-else />
  </div>
  <div
    v-else
    :class="`my-5 page-content ${selectedThemeName}_theme`"
    class="help-center-page"
  >
    <div class="container mx-auto">
      <div class="mb-4 term-header">
        <div class="term-condition-header">
          <span :class="isChinaEnabled ? '--text' : '--text2'">{{ header.Text }}</span>
        </div>
      </div>
    </div>
    <el-tabs
      v-model="activeTab"
      :class="['container mx-auto demo-tabs --text2', { sbo: isSBO }]"
    >
      <el-tab-pane
        v-for="(tab, i) in menuTabs"
        :key="i"
        :label="tab.Text"
        :name="i"
      >
        <div class="mt-4">
          <el-collapse accordion>
            <template v-for="(title, index) in menuTitle(i + 1)" :key="index">
              <el-collapse-item :title="title.Text">
                <div
                  :class="[
                    'py-2 space-y-2',
                    isChinaEnabled || !isSBO ? '--text' : '--text2',
                  ]"
                  v-html="details(i + 1)[index]?.Text"
                ></div>
              </el-collapse-item>
            </template>
          </el-collapse>
        </div>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script lang="ts">
import { defineComponent, computed, ref } from "vue";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import InformationBMD1 from "@/components/theme/desktop/modern/information.client.vue";
import InformationBMM1 from "@/components/theme/mobile/modern/information.client.vue";

export default defineComponent({
  components: { InformationBMD1, InformationBMM1 },
  setup() {
    const isMobile = !useIsDesktop();
    const selectedThemeName = computed(() => store.state.selectedThemeName);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const header = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_menu_info_5"
        )
    );
    const menuTabs = computed(
      (): Array<IThemePropertiesFromApi> =>
        themePropertyHelper.getMultipleThemesProperties(
          themeProperties.value,
          "menu_content_tab_5_"
        )
    );
    const menuTitle = (index: number): Array<IThemePropertiesFromApi> =>
      themePropertyHelper.getMultipleThemesProperties(
        themeProperties.value,
        `menu_content_title_5_${index}_`
      );
    const details = (index: number): Array<IThemePropertiesFromApi> =>
      themePropertyHelper.getMultipleThemesProperties(
        themeProperties.value,
        `menu_content_detail_5_${index}_`
      );
    const activeTab = ref(0);
    const isChinaEnabled = computed(
      (): boolean => selectedThemeName.value === "china"
    );
    const isSBO = computed((): boolean => selectedThemeName.value === "sbo");
    return {
      selectedThemeName,
      isChinaEnabled,
      header,
      details,
      menuTabs,
      activeTab,
      menuTitle,
      isMobile,
      isSBO,
    };
  },
});
</script>

<style scoped>
.el-collapse {
  --el-collapse-header-bg-color: transparent;
  --el-collapse-content-bg-color: transparent;
  --el-collapse-header-text-color: var(--text2);
  --el-collapse-content-text-color: var(--text2);
  --el-collapse-border-color: var(--text2);
  border-top: none;
  border-bottom: none;
}
:deep(.el-tabs__nav-wrap) {
  padding: 0;
}
:deep(.el-collapse-item__header.is-active) {
  background-color: var(--secondary);
  color: var(--text2);
}

:deep(.el-collapse-item__header) {
  font-size: 14px;
  height: auto;
  border-bottom: none;
  padding: 0px 26px;
  color: var(--text);
}

:deep(.el-collapse-item__content) {
  font-size: 14px;
  height: auto;
  padding: 0px 26px;
}

:deep(.el-collapse-item__content p) {
  margin-bottom: 10px;
}

:deep(.el-collapse-item__wrap) {
  border: 0.5px solid var(--background1);
}

.term-header {
  font-weight: 600;
  font-size: 30px;
}

.fs_Bold {
  font-weight: 600;
  margin-bottom: 10px;
  margin-top: 30px;
  font-size: 16px;
}

.page-content p {
  margin-bottom: 10px;
}

.demo-tabs > .el-tabs__content {
  padding: 32px;
  color: var(--text2);
  font-size: 32px;
  font-weight: 600;
}
:deep(.el-tabs__content) {
  overflow: unset;
}
.black_theme :deep(.el-tabs__nav-wrap::after) {
  height: unset;
}
.black_theme :deep(.el-tabs__active-bar) {
  background-color: unset;
}
.black_theme :deep(.el-tabs__item:not(:last-child)) {
  border-right: 1px solid var(--text);
}
.black_theme :deep(.el-tabs__item) {
  line-height: 40px;
  height: 40px;
}
.black_theme :deep(.el-tabs__item.is-active),
.black_theme :deep(.el-tabs__item:hover) {
  color: var(--secondary);
}
</style>